v2升级V3报错

发布话题帖子前请确认好- 标题与标签你已经看过了[JumpServer版规V1.0] ,请描述您的需求、问题或者改进建议

JumpServer 版本
生产版本v2.22.2

升级方式在线升级

浏览器版本
Chrom 版本 111.0.5563.65(正式版本)

Bug 描述 及 重现步骤(有截图更好)

从v2.22.2可以直接升级到v2.23.4
但从v2.23.4升级到v2.24.1就报错了跟升级到v3报的错一样的


数据库都是mysql5.7
image
字符也是对的




数也无法导入

数据库编码问题,show create database jumpserver,输出里没有校对集utf8_bin,但是你的数据库备份文件里有collate=utf8_bin。给你个尝试建议哈,用create database jumpserver default character set utf8 collate utf8_bin;新建一个库,然后把备份数据导入到这个库里,再升级试试

数据库手动导入之后 jms_core无法启动

报这个错